MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032404Open CASCADE[OCCT] OCCT:DRAWpublic2021-05-31 10:112021-06-19 12:04
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032404: Draw - problems with definition of cpulimit in tests
Descriptioncpulitit in tests ranges from 1 second to 167 minutes.
In some groups, it is not defined at all (hlr)
See attached cpulimt.xlsx

In the event of infinite loops (CR29059_5), a very large value of cpulimit or the absence of its definition stops testing for a very long time.
This is especially important for testing in Jenkins

It is proposed to redefine cpulimit for sufficient minimum values


Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Filesxlsx file icon cpulimit.xlsx (18,447 bytes) 2021-05-31 10:11
? file icon testex2 (3,675 bytes) 2021-06-04 17:51

- Relationships
related to 0031038closedbugmaster Draw - adaptations for running tests with CLang address sanitizer 
parent of 0032398closedbugmaster Draw - cpulimit does not always work on hanging test cases 

-  Notes
(0101517)
git (administrator)
2021-05-31 11:20

Branch CR32404 has been created by inv.

SHA-1: 1c5faf986e153af8f4ef98eff442adfe6fedcd37


Detailed log of new commits:

Author: bugmaster
Date: Mon May 31 11:20:59 2021 +0300

    0032404: Draw - problems with definition of cpulimit in tests
(0101518)
git (administrator)
2021-05-31 13:39

Branch CR32404 has been updated by inv.

SHA-1: 129a4a3bb2c9be5c87c88d3a4b1ced58e25e8f64


Detailed log of new commits:

Author: bugmaster
Date: Mon May 31 13:38:49 2021 +0300

    Printing Elapsed Time

(0101617)
bugmaster (administrator)
2021-06-04 17:42
edited on: 2021-06-04 18:01

Memory - 16 Gb
Disk - SSD
Video - GeForce 1060

testex4 - CPU - 4 core
Intel(R) Xeon(R) CPU E3-1220 V2 @ 3.10GHz 3.10
Elapsed time ~ 4 hours

testex2 (jenkins-test-08) CPU - 6 core
Intel(R) Core(TM) i5-8500 CPU @ 3.00GHz 3.00
Elapsed time ~ infinity
I couldn't wait for the tests to complete
See attached file - testex2
A lot of test are killed by cpulimit >= 2500

(0101655)
bugmaster (administrator)
2021-06-07 12:26

testex2 (jenkins-test-08) CPU - 6 core
An attempt to perform all tests with cyclic dependencies led to the station crash with its shutdown due to the exhaustion of station resources
The station restart is possible only from the office
(0101782)
git (administrator)
2021-06-11 14:59

Branch CR32404 has been updated forcibly by inv.

SHA-1: 1b6bafd61def9e0b642f59242c5c89cdb40a6dcb
(0101795)
git (administrator)
2021-06-11 18:03

Branch CR32404 has been updated forcibly by inv.

SHA-1: 30388253fac3f725b7eefbbe63a4e54f8b9a8075
(0101802)
git (administrator)
2021-06-12 12:31

Branch CR32404 has been updated forcibly by inv.

SHA-1: 30388253fac3f725b7eefbbe63a4e54f8b9a8075
(0101840)
bugmaster (administrator)
2021-06-15 11:39
edited on: 2021-06-15 11:39

Kirill,
I corrected all the tests with cpulimit >= 1000 to 1000 in OCCT and Products except ifc.
There is one very long test ifc doc_1 B4 where I redefined cpulimit to 1400.
And I added cpulimit to hlr test grid.

http://jenkins-test-08.nnov.opencascade.com/view/CR32404-CR32404/ [^]

I tried to execute tests on OCCT compiled in debug mode. The tests take about 16 hours.
And although indeed some tests break off after changing the cpulimite to 1000.
But testing in debug fashion is not debugged at all. Many tests fail due to unchanged cpulimit, some fail due to errors.

(0101841)
kgv (developer)
2021-06-15 15:45

Lets take the patch.
Will see how to adopt testing if new values will cause problems.

For testing Debug builds one may set an environment CSF_CPULIMIT_FACTOR variable to value larger than 1x.
(0101930)
bugmaster (administrator)
2021-06-19 11:25

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101938)
git (administrator)
2021-06-19 12:04

Branch CR32404 has been deleted by mnt.

SHA-1: 30388253fac3f725b7eefbbe63a4e54f8b9a8075

- Related Changesets
occt: master 50174691
Timestamp: 2021-06-11 15:00:23
Author: bugmaster
Details ] Diff ]
0032404: Draw - problems with definition of cpulimit in tests

- The maximum value of cpulimit in test cases was limited to 1000 seconds (~ 17 minutes)
- cpulimit 1000 has been added to hlr/begin
mod - tests/boolean/bcut_complex/M2 Diff ] File ]
mod - tests/boolean/bcut_complex/P6 Diff ] File ]
mod - tests/boolean/bopcommon_complex/C5 Diff ] File ]
mod - tests/boolean/bopcommon_complex/C6 Diff ] File ]
mod - tests/boolean/bopcommon_complex/C9 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D1 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D4 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D5 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D8 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D9 Diff ] File ]
mod - tests/boolean/bopcut_complex/C7 Diff ] File ]
mod - tests/boolean/bopcut_complex/C8 Diff ] File ]
mod - tests/boolean/bopcut_complex/D2 Diff ] File ]
mod - tests/boolean/bopcut_complex/D3 Diff ] File ]
mod - tests/boolean/bopcut_complex/D6 Diff ] File ]
mod - tests/boolean/bopcut_complex/D7 Diff ] File ]
mod - tests/boolean/bopcut_complex/E2 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C3 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C4 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C5 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C6 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C7 Diff ] File ]
mod - tests/boolean/bopfuse_complex/C8 Diff ] File ]
mod - tests/boolean/boptuc_complex/A1 Diff ] File ]
mod - tests/boolean/boptuc_complex/A2 Diff ] File ]
mod - tests/boolean/boptuc_complex/A3 Diff ] File ]
mod - tests/boolean/boptuc_complex/A4 Diff ] File ]
mod - tests/boolean/boptuc_complex/A5 Diff ] File ]
mod - tests/boolean/boptuc_complex/A6 Diff ] File ]
mod - tests/boolean/bsection/M8 Diff ] File ]
mod - tests/boolean/bsection/N4 Diff ] File ]
mod - tests/boolean/bsection/N7 Diff ] File ]
mod - tests/bugs/heal/bug1642 Diff ] File ]
mod - tests/bugs/heal/bug210 Diff ] File ]
mod - tests/bugs/heal/bug25712 Diff ] File ]
mod - tests/bugs/iges/buc60625 Diff ] File ]
mod - tests/bugs/iges/buc60685 Diff ] File ]
mod - tests/bugs/iges/buc60894 Diff ] File ]
mod - tests/bugs/iges/bug133_7 Diff ] File ]
mod - tests/bugs/iges/bug17026_3 Diff ] File ]
mod - tests/bugs/iges/bug58_2 Diff ] File ]
mod - tests/bugs/iges/bug58_3 Diff ] File ]
mod - tests/bugs/iges/ger61337 Diff ] File ]
mod - tests/bugs/modalg_1/buc60463 Diff ] File ]
mod - tests/bugs/modalg_1/buc60555_1 Diff ] File ]
mod - tests/bugs/modalg_1/buc60555_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60555_3 Diff ] File ]
mod - tests/bugs/modalg_1/buc60703_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug213 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_4 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_5 Diff ] File ]
mod - tests/bugs/modalg_2/bug427_6 Diff ] File ]
mod - tests/bugs/modalg_2/bug527 Diff ] File ]
mod - tests/bugs/modalg_2/bug530 Diff ] File ]
mod - tests/bugs/modalg_2/bug5805_11 Diff ] File ]
mod - tests/bugs/modalg_2/bug5805_25 Diff ] File ]
mod - tests/bugs/modalg_2/bug5805_47 Diff ] File ]
mod - tests/bugs/modalg_2/bug5805_48 Diff ] File ]
mod - tests/bugs/modalg_3/bug6063 Diff ] File ]
mod - tests/bugs/modalg_3/bug698 Diff ] File ]
mod - tests/bugs/modalg_4/bug62 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_12 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_13 Diff ] File ]
mod - tests/bugs/modalg_5/bug23958 Diff ] File ]
mod - tests/bugs/modalg_5/bug24143 Diff ] File ]
mod - tests/bugs/modalg_5/bug24190 Diff ] File ]
mod - tests/bugs/modalg_5/bug24575 Diff ] File ]
mod - tests/bugs/modalg_5/bug24758_2 Diff ] File ]
mod - tests/bugs/modalg_5/bug24764 Diff ] File ]
mod - tests/bugs/modalg_5/bug24809 Diff ] File ]
mod - tests/bugs/modalg_6/bug26848 Diff ] File ]
mod - tests/bugs/modalg_7/bug29900 Diff ] File ]
mod - tests/bugs/moddata_2/bug228 Diff ] File ]
mod - tests/bugs/moddata_2/bug28_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug28_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug343 Diff ] File ]
mod - tests/bugs/moddata_2/bug503 Diff ] File ]
mod - tests/bugs/moddata_3/bug25179 Diff ] File ]
mod - tests/bugs/moddata_3/bug599 Diff ] File ]
mod - tests/bugs/step/bug272_5 Diff ] File ]
mod - tests/bugs/step/bug348_3 Diff ] File ]
mod - tests/bugs/step/bug348_4 Diff ] File ]
mod - tests/bugs/step/bug365_2 Diff ] File ]
mod - tests/bugs/step/bug55 Diff ] File ]
mod - tests/bugs/step/bug5708 Diff ] File ]
mod - tests/bugs/xde/bug396 Diff ] File ]
mod - tests/bugs/xde/bug547_1 Diff ] File ]
mod - tests/de/begin Diff ] File ]
mod - tests/feat/featprism/J2 Diff ] File ]
mod - tests/hlr/begin Diff ] File ]
mod - tests/offset/faces_type_i/M5 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/D1 Diff ] File ]
mod - tests/perf/bop/buildfaces Diff ] File ]
mod - tests/perf/de/bug24024 Diff ] File ]
mod - tests/perf/mesh/bug24968_1 Diff ] File ]
mod - tests/perf/mesh/bug24968_2 Diff ] File ]
mod - tests/perf/modalg/bug19793_2 Diff ] File ]
mod - tests/perf/modalg/bug5157_1 Diff ] File ]
mod - tests/perf/modalg/bug5157_2 Diff ] File ]
mod - tests/perf/moddata/bug25487_2 Diff ] File ]
mod - tests/perf/moddata/bug623 Diff ] File ]
mod - tests/perf/ncollection/A1 Diff ] File ]
mod - tests/thrusection/specific/F8 Diff ] File ]
mod - tests/v3d/bugs/bug319 Diff ] File ]
mod - tests/v3d/bugs/bug872 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-31 10:11 bugmaster New Issue
2021-05-31 10:11 bugmaster Assigned To => bugmaster
2021-05-31 10:11 bugmaster File Added: cpulimit.xlsx
2021-05-31 10:15 bugmaster Description Updated View Revisions
2021-05-31 10:16 bugmaster Relationship added parent of 0032398
2021-05-31 10:17 bugmaster Status new => assigned
2021-05-31 11:20 git Note Added: 0101517
2021-05-31 13:39 git Note Added: 0101518
2021-06-03 10:37 bugmaster Assigned To bugmaster => kgv
2021-06-04 17:42 bugmaster Note Added: 0101617
2021-06-04 17:49 bugmaster Note Edited: 0101617 View Revisions
2021-06-04 17:50 bugmaster Note Edited: 0101617 View Revisions
2021-06-04 17:51 bugmaster File Added: testex2
2021-06-04 18:01 bugmaster Note Edited: 0101617 View Revisions
2021-06-07 12:26 bugmaster Note Added: 0101655
2021-06-07 13:45 bugmaster Note Added: 0101660
2021-06-07 13:45 bugmaster Note Deleted: 0101660
2021-06-11 14:59 git Note Added: 0101782
2021-06-11 18:03 git Note Added: 0101795
2021-06-12 12:26 git Note Added: 0101801
2021-06-12 12:31 git Note Added: 0101802
2021-06-12 12:49 bugmaster Note Deleted: 0101801
2021-06-15 11:39 bugmaster Note Added: 0101840
2021-06-15 11:39 bugmaster Status assigned => resolved
2021-06-15 11:39 bugmaster Steps to Reproduce Updated View Revisions
2021-06-15 11:39 bugmaster Note Edited: 0101840 View Revisions
2021-06-15 15:45 kgv Note Added: 0101841
2021-06-15 15:45 kgv Assigned To kgv => bugmaster
2021-06-15 15:45 kgv Status resolved => reviewed
2021-06-15 15:46 kgv Product Version => 7.5.0
2021-06-15 15:47 kgv Relationship added related to 0031038
2021-06-19 11:25 bugmaster Note Added: 0101930
2021-06-19 11:25 bugmaster Status reviewed => tested
2021-06-19 11:29 bugmaster Test case number => Not required
2021-06-19 11:37 bugmaster Changeset attached => occt master 50174691
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-06-19 12:04 git Note Added: 0101938


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker